#!/bin/bash

cd $(dirname $0)

ip1="10.120.152.1"
ip2="192.168.1.250"

ip r | grep 10.120.152.1
if [[ $? == 0 ]]; then
    ping -c 1 10.120.152.1
    if [[ $? == 0 ]]; then
        ip=$ip1
        git='work'
    fi
else
    ping -c 1 192.168.1.250
    if [[ $? == 0 ]]; then
        ip=$ip2
        git='origin'
    fi
fi

git add . && git commit -m "Update"
git push $git

ssh ${ip} -f '~/update-en-site.sh'
status=$?

echo "Ready"
if [ "$status" == 0 ]; then
    sleep 5
    kill $(ps x | grep konsole | grep $0 | awk '{print $1}')
fi
